Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 587856 - app-portage/gentoolkit: uses deprecated PORTDIR_OVERLAY variable internally
Summary: app-portage/gentoolkit: uses deprecated PORTDIR_OVERLAY variable internally
Status: IN_PROGRESS
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Tools (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Portage Tools Team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 346443
  Show dependency tree
 
Reported: 2016-07-03 04:56 UTC by Zac Medico
Modified: 2016-07-05 21:04 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
eshowkw: migrate to PORTAGE_REPOSITORIES (0001-eshowkw-migrate-to-PORTAGE_REPOSITORIES-bug-587856.patch,2.29 KB, patch)
2016-07-03 06:14 UTC, Zac Medico
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zac Medico gentoo-dev 2016-07-03 04:56:55 UTC
I'm working on a patch to fix this.
Comment 1 Zac Medico gentoo-dev 2016-07-03 05:30:10 UTC
Actually, it does work with repos defined in repos.conf. I just needed the --overlays option. Anyway, I'm working on a patch to migrate away from the deprecated PORTDIR_OVERLAY variable.
Comment 2 Zac Medico gentoo-dev 2016-07-03 06:14:37 UTC
Created attachment 439476 [details, diff]
eshowkw: migrate to PORTAGE_REPOSITORIES
Comment 3 Brian Dolbec gentoo-dev 2016-07-03 15:26:21 UTC
Thanks Zac. Patch looks good.